package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.Entrust;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.*;
import cn.wise.sc.cement.business.model.vo.EntrustVo;
import cn.wise.sc.cement.business.model.vo.SampleDistributionVo;
import cn.wise.sc.cement.business.model.vo.SampleHandleVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
public interface IEntrustService extends IService<Entrust> {

	BaseResponse<IPage<EntrustVo>> getPage(PageQuery pageQuery, String startDate, String endDate, Integer status,
	                                       Integer clientId, String projectName);

	BaseResponse<Entrust> create(EntrustQuery query);

	BaseResponse<EntrustVo> getDtail(Integer id);

	BaseResponse<String> approval(ApprovalQuery query);

	BaseResponse<String> handle(HandleQuery query);
	BaseResponse<IPage<SampleHandleVo>> getSampleHandlePage(PageQuery pageQuery, String startDate, String endDate, Integer status,
	                                                        Integer clientId, String projectName);
	BaseResponse<String> acceptHandle(Integer id);
	BaseResponse<String> finishHandle(Integer id);

	BaseResponse<String> distribution(DistributionQuery query);
	BaseResponse<IPage<SampleDistributionVo>> getSampleDistributionPage(PageQuery pageQuery, String startDate, String endDate, Integer status,
	                                                                    Integer clientId, String projectName);
	BaseResponse<String> acceptDistribution(Integer id);
	BaseResponse<String> finishDistribution(Integer id);

	BaseResponse<String> check(CheckQuery query);




}
