package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.Team;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.TeamQuery;
import cn.wise.sc.cement.business.model.vo.TeamVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-18
 */
public interface ITeamService extends IService<Team> {

	/**
	 * 获取分页
	 * @param pageQuery
	 * @param status
	 * @param name
	 * @return
	 */
	BaseResponse<IPage<TeamVo>> getPage(PageQuery pageQuery, Integer status, String groupName, String name);

	/**
	 * 获取所有启动的信息
	 * @return
	 */
	BaseResponse<List<TeamVo>> getList();

	/**
	 * 新增
	 * @param query
	 * @return
	 */
	BaseResponse<Team> create(TeamQuery query);

	/**
	 * 编辑
	 * @param query
	 * @return
	 */
	BaseResponse<Team> update(TeamQuery query);

	/**
	 * 启用禁用
	 * @param status
	 * @param id
	 * @return
	 */
	BaseResponse<String> status(Integer status, Integer id);

	/**
	 * 检测项导出
	 * @param status
	 * @param gourpId
	 * @param name
	 * @param fileName
	 * @param response
	 */
	void export(Integer status, Integer gourpId, String name, String fileName, HttpServletResponse response);


}
